@import "@/assets/styles/abstracts/mixins";


label{
    position: absolute;
    top: 50%;
    right:3.8rem;
    transform: translateY(-50%);
    pointer-events: none;
    font-size: 1.4rem;
    transition:all .2s ease-in-out;
    color:$title-color

}

.formField{
    @include flex-container(center,center,column);
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    position: relative;
    margin: 1.6rem 0;
    width: 100%;
    height: 5.6rem;
    flex: 0 1 auto;
   
    border: 1px solid $border-gray;
   
   background-color: #ffffff65;
    border-radius: 1.6rem;
  
 
   
}

.password-icon{
   
    position: absolute;
    left: 5px;
}
.notEmpty label
{
    font-size: 1.2rem;
    top: 5px;
}

.form__icon{
    position: absolute;
    width:2.4rem;
    height: 2.4rem;
    right: .5rem;
}
.error-messege{
    color: red;
    font-size: 1.4rem;
    font-weight: bold;
    width: 100%;
   
}




@include respond-to(medium-desktop){
    label{
       
        right:2.95rem;
      
      
        font-size: 1.1rem;
       
    
    }
    
    .inputField{
      
        margin: 1.2rem 0 ; 
        
       
       
      
      
     
       
    }
    .password-icon{
       
     
        left: 3px;
    }

    .notEmpty label
    {
        font-size: .9rem;
        top: 3px;
    }
    
    
  
   
      
    
    .form__link{
        font-size: 1.2rem;
      
    }
    .form__icon{
      
        width:1.8rem;
        height: 1.8rem;
        right: .3rem;
    }
    .error-messege{
      
        font-size: 1rem;
        width: 100%;
     
       
    }
    
}